# Get all Dot Phrases

```
GET 
/dot_phrases
```

Retrieve a list of user's Dot Phrases.

## Request[​](#request "Direct link to Request")

### Query Parameters

* **cursor**
  <!-- -->
  string

  The cursor you received in the next\_cursor field to fetch the next page.

  **limit**
  <!-- -->
  integer

  **Possible values:** `>= 1` and `<= 100`

  The amount of objects to retrieve, between 1 and 100.

  **Example:<!-- -->&#x20;**`10`

  **order**
  <!-- -->
  string

  **Possible values:** \[`ASC`, `DESC`]

  This flag is used to get results sorted in ascending or descending order.

  **Default value:<!-- -->&#x20;**`ASC`

  **Example:<!-- -->&#x20;**`DESC`

## Responses[​](#responses "Direct link to Responses")

* 200

- application/json

* Schema
* Example (from schema)

**Schema**

* ******data**object\[]required

  Array \[

* **id**uuidrequired

  Unique identifier of the Dot Phrase.

  **title**stringrequired

  A user-friendly title for the Dot Phrase. Does not impact the matching logic.

  **Example:<!-- -->&#x20;**`Normal physical exam`

  **trigger**stringrequired

  The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.

  **Example:<!-- -->&#x20;**`Your physical exam is normal`

  **content\_auto\_update\_enabled**booleanrequired

  If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.

  **Example:<!-- -->&#x20;**`false`

  **replacement**stringrequired

  The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.

  **Example:<!-- -->&#x20;**`- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly.`

  ]

  **has\_more**booleanrequired

  **Example:<!-- -->&#x20;**`true`

  **next\_cursor**next\_cursor (string)nullable

  An opaque cursor to fetch the next page of the collection.

```
{

  "data": [

    {

      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",

      "title": "Normal physical exam",

      "trigger": "Your physical exam is normal",

      "content_auto_update_enabled": false,

      "replacement": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."

    }

  ],

  "has_more": true,

  "next_cursor": "string"

}
```

## Operation spec

```json
{
  "method": "get",
  "path": "/dot_phrases",
  "operationId": "get-copilot-user-dot-phrases",
  "parameters": [
    {
      "name": "cursor",
      "description": "The cursor you received in the next_cursor field to fetch the next page.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "limit",
      "description": "The amount of objects to retrieve, between 1 and 100.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "example": 10
      }
    },
    {
      "name": "order",
      "description": "This flag is used to get results sorted in ascending or descending order.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "ASC",
          "DESC"
        ],
        "example": "DESC",
        "default": "ASC"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "A paginated list of Dot Phrases.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "type": "array",
                "items": {
                  "type": "object",
                  "description": "Dot phrase, also referred to as EHR (Electronic Health Record) macro, is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`).",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "description": "Unique identifier of the Dot Phrase."
                    },
                    "title": {
                      "type": "string",
                      "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                      "example": "Normal physical exam"
                    },
                    "trigger": {
                      "type": "string",
                      "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                      "example": "Your physical exam is normal"
                    },
                    "content_auto_update_enabled": {
                      "type": "boolean",
                      "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                      "example": false
                    },
                    "replacement": {
                      "type": "string",
                      "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                      "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
                    }
                  },
                  "required": [
                    "id",
                    "title",
                    "trigger",
                    "content_auto_update_enabled",
                    "replacement"
                  ],
                  "title": "copilot_api_dot_phrase"
                }
              },
              "has_more": {
                "type": "boolean",
                "example": true
              },
              "next_cursor": {
                "type": "string",
                "nullable": true,
                "description": "An opaque cursor to fetch the next page of the collection.",
                "title": "next_cursor"
              }
            },
            "required": [
              "data",
              "has_more"
            ]
          }
        }
      }
    }
  }
}
```
